package net.buildbox.app.CountApp;

import android.app.Activity;
import android.content.BroadcastReceiver;
import android.content.Context;
import android.content.Intent;
import android.content.IntentFilter;
import android.os.Bundle;
import android.widget.TextView;

public class MainActivity extends Activity {

    @Override
    public void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.main);
        
        // CountServerからのブロードキャストを受け取るためのレシーバーを登録
        MyReceiver receiver = new MyReceiver();
        IntentFilter intentFilter = new IntentFilter();
        intentFilter.addAction("net.buildbox.action.ACTION_SAMPLE");
        registerReceiver(receiver, intentFilter);
    }
    
    public class MyReceiver extends BroadcastReceiver {
		@Override
		public void onReceive(Context context, Intent intent) {
			TextView tvRecvMsg = (TextView) findViewById(R.id.tv_RecvMsg);
			
			// CountServerから受け取ったテキストを画面上に表示
			String strMsg = tvRecvMsg.getText().toString()
					+ intent.getExtras().getString("key_message")
					+ "\n";
			tvRecvMsg.setText(strMsg);
		}
    }
}